import type { LoggerEffect } from '../../../framework-types/effects/LoggerEffect';
export declare enum QualityFunction {
    Linear = "linear",
    Logarithmic = "logarithmic"
}
export interface WishConfig {
        xi: number;
        delta: number;
        qualityFunction: QualityFunction;
}
export declare function getDefaultConfig(baseConfig?: Partial<WishConfig>): {
    xi: number;
    delta: number;
    qualityFunction: QualityFunction;
};
export declare function setXi(logger: LoggerEffect, config: WishConfig, xi: number): boolean;
export declare function setDelta(logger: LoggerEffect, config: WishConfig, delta: number): boolean;
export declare function setQualityFunction(logger: LoggerEffect, config: WishConfig, qualityFunction: QualityFunction): boolean;
